Bug 214562 - rssowl fails to start with Sun java
rssowl fails to start with Sun java
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rssowl (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anthony Green
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-08 06:03 EST by Tadej Janež
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-22 11:00:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tadej Janež 2006-11-08 06:03:37 EST
Description of problem:
Starting rssowl produces the following output:
[tadej@tlinux-stable ~]$ rssowl 
Exception in thread "main" java.lang.NoClassDefFoundError:
org/xml/sax/ext/Attributes2
        at java.lang.ClassLoader.defineClass0(Native Method)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:539)
        at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:123)
        at java.net.URLClassLoader.defineClass(URLClassLoader.java:251)
        at java.net.URLClassLoader.access$100(URLClassLoader.java:55)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:194)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:187)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:289)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:274)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
        at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:302)
        at org.apache.xerces.parsers.AbstractSAXParser.<init>(Unknown Source)
        at org.apache.xerces.parsers.SAXParser.<init>(Unknown Source)
        at org.apache.xerces.parsers.SAXParser.<init>(Unknown Source)
        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
        at
sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:39)
        at
sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:27)
        at java.lang.reflect.Constructor.newInstance(Constructor.java:274)
        at java.lang.Class.newInstance0(Class.java:308)
        at java.lang.Class.newInstance(Class.java:261)
        at org.xml.sax.helpers.NewInstance.newInstance(NewInstance.java:44)
        at
org.xml.sax.helpers.XMLReaderFactory.createXMLReader(XMLReaderFactory.java:119)
        at org.jdom.input.SAXBuilder.createParser(SAXBuilder.java:525)
        at org.jdom.input.SAXBuilder.build(SAXBuilder.java:424)
        at org.jdom.input.SAXBuilder.build(SAXBuilder.java:831)
        at
net.sourceforge.rssowl.dao.SettingsLoader.buildSettingsDocument(Unknown Source)
        at net.sourceforge.rssowl.dao.SettingsLoader.<init>(Unknown Source)
        at net.sourceforge.rssowl.dao.SettingsLoader.<init>(Unknown Source)
        at net.sourceforge.rssowl.controller.GUI.startUp(Unknown Source)
        at net.sourceforge.rssowl.controller.GUI.<init>(Unknown Source)
        at net.sourceforge.rssowl.controller.RSSOwlLoader.<init>(Unknown Source)
        at net.sourceforge.rssowl.controller.RSSOwlLoader.main(Unknown Source)


Version-Release number of selected component (if applicable):
rssowl-1.2.2-6.fc6

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Anthony Green 2006-11-08 09:31:15 EST
What does "which java && java -version" say.  Thanks.
Comment 2 Tadej Janež 2006-11-08 15:32:19 EST
[tadej@tlinux-stable ~]$ which java
/usr/bin/java
[tadej@tlinux-stable ~]$ java -version
java version "1.4.2_08"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2_08-b03)
Java HotSpot(TM) Client VM (build 1.4.2_08-b03, mixed mode)

I haven't realized before that java and javac were still defaulting to Sun Java
on my system. Now I switched them to the gcj versions using the alternatives system:
[root@tlinux-stable tadej]# java -version
java version "1.4.2"
gij (GNU libgcj) version 4.1.1 20061011 (Red Hat 4.1.1-30)

and RSSOwl is working now :)

I think you can close this bug and thanks for helping me out!
Comment 3 Anthony Green 2006-11-08 17:27:53 EST
(In reply to comment #2)
> I think you can close this bug and thanks for helping me out!

Actually, I'm changing the summary to "rssowl fails to start with Sun java" and
leaving it open if that's OK.  I think that it would be nice if rssowl worked
with Sun java, although I'll admit it's not a high priority right now.  
Comment 4 Tadej Janež 2006-11-08 17:33:26 EST
It's OK with me. Let me know if/when you need my help, however, it's not a big
priority for me either.
Comment 5 Anthony Green 2006-11-11 12:52:45 EST
Adding xml-commons-apis.jar to the CLASSPATH in /usr/bin/rssowl should solve
this problem.

However, when I run rssowl with Sun java I get:
Exception in thread "main" java.lang.NullPointerException
        at net.sourceforge.rssowl.util.CryptoManager.loadProxyUser(Unknown Source)
        at net.sourceforge.rssowl.dao.SettingsLoader.loadProxySettings(Unknown
Source)
        at net.sourceforge.rssowl.controller.GUI.updateUserSettings(Unknown Source)
        at net.sourceforge.rssowl.controller.GUI.startUp(Unknown Source)
        at net.sourceforge.rssowl.controller.GUI.<init>(Unknown Source)
        at net.sourceforge.rssowl.controller.RSSOwlLoader.<init>(Unknown Source)
        at net.sourceforge.rssowl.controller.RSSOwlLoader.main(Unknown Source)
Exception in thread "Shutdown Hook Thread" java.lang.NullPointerException
        at net.sourceforge.rssowl.util.CryptoManager.encryptData(Unknown Source)
        at net.sourceforge.rssowl.util.CryptoManager.saveData(Unknown Source)
        at net.sourceforge.rssowl.controller.GUI.abnormalShutDown(Unknown Source)
        at net.sourceforge.rssowl.controller.thread.ShutdownHook.run(Unknown Source)
Comment 6 Giandomenico De Tullio 2006-12-14 06:56:04 EST
 rssowl-1.2.3-1.fc6  package is compiled for GCJ, so why you use a generic
"java" instead specific "/usr/bin/gij" ?



Comment 7 Anthony Green 2007-01-07 00:59:56 EST
(In reply to comment #6)
>  rssowl-1.2.3-1.fc6  package is compiled for GCJ, so why you use a generic
> "java" instead specific "/usr/bin/gij" ?

Because it's supposed to run with the current java "alternative".


Comment 8 Anthony Green 2007-06-22 11:00:32 EDT
rssowl was just removed due to the loss of itext.  My understanding is that
rssowl2 doesn't depend on itext, and we intend to re-introduce rssowl2 when
rawhide gets a newer SWT.  I'm closing this bug for now.

Note You need to log in before you can comment on or make changes to this bug.